package UE11_140125_Rekursion4;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.util.Arrays;
import java.util.List;

public class Sudoku {

    public static void main(String[] args) {
        String sudokuPath = "src/UE11_140125_Rekursion4/Sudokus/easy.sudoku";
        int[][] sudoku = readSudoku(sudokuPath);
        print(sudoku);
    }

    public static int[][] readSudoku(String path) {
        int[][] sudoku = new int[9][9];
        try {
            List<String> input = Files.readAllLines(Path.of(path));

        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        return sudoku;
    }

    public static void print(int[][] in) {
        for (int[] i : in) System.out.println(Arrays.toString(i));
    }

}
